/**************************************************************

   Claudio M. Soares, ITQB Oeiras 2002-08-30
 **************************************************************/



#define MAXATOMS 100000



/* STRUCTURE DEFINING A MOLECULAR SYSTEM */
struct mol_system {  
  int no_of_atoms;          /* Total number of atoms in the molecular system */
  char title[256];            /* Whatever title of the molecular system */
  char aname[MAXATOMS][6];  /* Atom name */
  char resname[MAXATOMS][6]; /* Residue name where the atom belongs */
  char atype[MAXATOMS][6];    /* Type of atom: in PDB files, ATOM or HETATM */
  int anumber[MAXATOMS];    /* Number of the atom */
  int resnumber[MAXATOMS];  /* Number of the residue where the atom belongs */
  double conf[MAXATOMS][3]; /* XYZ coordinates of the atom in nm */
  double prop[MAXATOMS][3]; /* Whatever properties one wants to place here */
};
/* Note that the strings used in this structure are 6 characters long, 
   INCLUDING the '\0' character if it exists. In this case, they can only 
   hold 5 character strings */
